<?xml version="1.0" encoding="iso-8859-1"?>
<sspaceex xmlns="http://www-verimag.imag.fr/xml-namespaces/sspaceex" version="0.2" math="SpaceEx">
  <component id="ChaserSpacecraft">
    <param name="x" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="z" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="vx" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="vy" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="t" type="real" local="false" d1="1" d2="1" dynamics="any" />
    <param name="P2P3" type="label" local="false" />
    <param name="P2Pass" type="label" local="false" />
    <param name="P3Pass" type="label" local="false" />
    <location id="1" name="P2" x="426.0" y="95.0" width="556.0" height="136.0">
      <invariant>t&lt;=125&amp;x&lt;=-100</invariant>
      <flow>t'==1 &amp; x'==vx &amp; z'==vy &amp; vx'==-0.057599765881773*x+0.000200959896519766*z-2.89995083970656*vx+0.00877200894463775*vy &amp; vy'==-0.000174031357370456*x-0.0665123984901026*z-0.00875351105536225*vx-2.90300269286856*vy</flow>
    </location>
    <location id="2" name="P3" x="440.0" y="322.0" width="712.0" height="130.0">
      <invariant>t&lt;=125 &amp; (z&gt;=-100 &amp; x+z&gt;=-141.1 &amp; x&gt;=-100 &amp; z-x&lt;=141.1 &amp; z&lt;=100 &amp; x+z&lt;=141.1 &amp; x&lt;=100 &amp; z-x&gt;=-141.1)</invariant>
      <flow>t'==1 &amp; x'==vx &amp; z'==vy &amp; vx'==-0.575999943070835*x+0.000262486079431672*z-19.2299795908647*vx+0.00876275931760007*vy &amp; vy'==-0.000262486080737868*x-0.575999940191886*z-0.00876276068239993*vx-19.2299765959399*vy</flow>
    </location>
    <location id="3" name="Passive" x="426.0" y="95.0" width="556.0" height="136.0">
      <invariant>t&gt;=120</invariant>
      <flow>t'==1 &amp; x'==vx &amp; z'==vy &amp; vx'==0.0000575894721132000*x+0.00876276*vy &amp; vy'==-0.00876276*vx </flow>
    </location>
    <transition source="1" target="2">
      <label>P2P3</label>
      <guard>z&gt;=-100 &amp; x+z &gt;=-141.1 &amp; x&gt;=-100 &amp; z-x&lt;=141.1 &amp; z&lt;=100 &amp; x+z&lt;=141.1 &amp; x&lt;=100 &amp; z-x&gt;=-141.1</guard>
      <labelposition x="-287.0" y="-7.0" width="624.0" height="64.0" />
    </transition>
    <transition source="1" target="3">
      <label>P2Pass</label>
      <guard>t&gt;=120</guard>
      <labelposition x="-287.0" y="-7.0" width="624.0" height="64.0" />
    </transition>
    <transition source="2" target="3">
      <label>P3Pass</label>
      <guard>t&gt;=120</guard>
      <labelposition x="-287.0" y="-7.0" width="624.0" height="64.0" />
    </transition>
  </component>
</sspaceex>
